Package be.fgov.ehealth.technicalconnector.ra.domain

# Class DistinguishedName

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.domain.DistinguishedName

All Implemented Interfaces:
  `Serializable`

public final class DistinguishedName extends Object implements Serializable
This class is used to construct a `DistinguishedName` of a certficate.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistinguishedName()`
  The DistinguishedName is created based on the eID present in the reader.
  `DistinguishedName(Organization org)`
  DistinguishedName is created based on the `Organization`
  `DistinguishedName(Organization org, String applicationId)`
  DistinguishedName is created based on the `Organization` and given applicationId.
  `DistinguishedName(String id, String name, String firstName, IdentifierType type)`
  DistinguishedName is created based on explicitely supplied data of natural person.
  `DistinguishedName(X500Principal principal)`
  The `DistinguishedName` is created based on the information in the given `X500Principal`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asNormalisedBaseFileName()`
  Return a
  `String`
  `asNormalizedEhealthDN()`
  `String`
  `getApplicationId()`
  `String`
  `getId()`
  `String`
  `getName()`
  `IdentifierType`
  `getType()`
  `boolean`
  `isNaturalPerson()`
  `void`
  `setApplicationId(String applicationId)`
  `Map<String,Object>`
  `toOIDMap()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DistinguishedName

    public DistinguishedName() throws TechnicalConnectorException
    The DistinguishedName is created based on the eID present in the reader.
    Throws:
      `TechnicalConnectorException`

  - ### DistinguishedName

    public DistinguishedName(String id, String name, String firstName, IdentifierType type)
    DistinguishedName is created based on explicitely supplied data of natural person.

  - ### DistinguishedName

    public DistinguishedName(X500Principal principal) throws TechnicalConnectorException
    The `DistinguishedName` is created based on the information in the given `X500Principal`
    Throws:
      `TechnicalConnectorException`

  - ### DistinguishedName

    public DistinguishedName(Organization org)
    DistinguishedName is created based on the `Organization`

  - ### DistinguishedName

    public DistinguishedName(Organization org, String applicationId)
    DistinguishedName is created based on the `Organization` and given applicationId.

- ## Method Details

  - ### setApplicationId

    public void setApplicationId(String applicationId)

  - ### getId

    public String getId()

  - ### getApplicationId

    public String getApplicationId()

  - ### getName

    public String getName()

  - ### getType

    public IdentifierType getType()

  - ### isNaturalPerson

    public boolean isNaturalPerson()

  - ### toOIDMap

    public Map<String,Object> toOIDMap()

  - ### asNormalizedEhealthDN

    public String asNormalizedEhealthDN()

  - ### asNormalisedBaseFileName

    public String asNormalisedBaseFileName()
    Return a
    Returns: